Subject: Use the cellular connection

From: "Neal H. Walfield" <[email-masked]>
Date: Thu, 05 Jan 2012 17:35:48 +0100

Currently, Woodchuck is conservative.  It will never initiate
transfers when connected to a cellular network.  This makes sense if
the cellular link is expensive and the user frequently has access to a
WiFi network.  This is not universally true.  Some users have
unlimited cellular allowances.  Some rarely connect to WiFi.

Until cellular is properly supported, these users should have the
option to tell Woodchuck to treat the cellular connection as if it
were WiFi.  Changing murmeltier to support this is straightforward: a
configuration file is needed (sqlite DB), murmeltier needs to be
changed to read the configuration file and respect the setting, and a
GUI is needed to allow configuring murmeltier.